#
# config.mk  -  configuration for makefiles
#
# Copyright (C) 1995 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Program path names. Note that these have to use normal slashes.
#
CC	= d:/spr/tc/tcc 
ASM	= d:/spr/masm/masm 
LIBP	= d:/spr/mstools/lib 
LNKP	= d:/spr/mstools/link
DOBIN	= exe2bin
RM	= rm -f


#
#  Path name for include file directory:
#
SYSINCS	= d:/spr/tc/include


#
#  Path names for files to use when linking utility programs. These
#  have to use backslashes, and must correspond to the memory model
#  used for compilation.
#
SYSLIB	= d:\\spr\\tc\\lib\\cs.lib
SYSOBJ	= d:\\spr\\tc\\lib\\c0s.obj


#
#  C compiler definitions for Turbo-C:
#	-O  = optimize jumps
#	-a  = produce code on word boundary
#	-d  = merge duplicate strings
#	-f- = no floating point
#	-k  = standard stack frame
#	-ms = small model
#	-w  = enable all warnings
#
CDEBUG	= # -DDEBUG
CBASE	= -a -f- -O -ms -d -k -w -I$(SYSINCS)
CFLAGS	= $(CBASE) $(CDEBUG)


#
#  Assembler definitions for MASM:
#	/MX = preserve case in public and external names
#	/S  = write segments in sequential order
#	/T  = suppres messages for successful assembly
#
ADEBUG	= # /DDEBUG/ZI
ABASE	= /MX/S/T
AFLAGS	= $(ABASE)$(ADEBUG)


#
#  Linker definitions:
#	/B    = prevent prompting with errors for batch file
#	/NOF  = no far call optimization
#	/NOP  = no code packing
#	/NOD  = no default libraries
#
LDEBUG	= # /CO/I
LBASE	= /B/NOF/NOP/NOD/M
LFLAGS	= $(LBASE)$(LDEBUG)


#
# The following definitions are for the individual modules of the
# source code. You should not need to change anything below this
# line. However, if you want to remove some of the features of
# the boot rom, here is a short explanation:
#
#	/DCONONLY	Only use console I/O within the DOS simulator.
#			This will exclude the serial and parallel port
#			support, which is rarely necessary for a boot
#			rom.
#
#	-DNOICMP	Don't use ICMP packet processing. This makes
#			automatic packet routing and pinging etc. im-
#			possible.
#
#	-DNOROUTE	Don't use a routing table. Without such a table
#			all addresses (e.g. servers etc.) have to be on
#			the local ethernet.
#
#	-DNOARP		Don't use ARP packet processing. Without this
#			the BOOTP server has to setup it's own ARP
#			table correctly, and the bootrom can only use
#			one server for everything. It is not useful
#			to select ARP without routing.
#
#	-DNOBPEXT	Don't use the BOOTP extension file feature.
#
# Unless you really go on debugging, don't use any of the DEBUG switches
# below.
#
UTLAFL	= 
UTLCFL	= -DMSDOS # -DDEBUG

DOSAFL	= /DCONONLY # /DNEEDFILEIO /DNEEDTIME # /DDEBUG
DOSCFL	= 

INIAFL	= 
INICFL	= 

LIBAFL	= # /DDEBUG
LIBCFL	=

NETAFL	= 
NETCFL	= # -DNOICMP -DNOROUTE -DNOARP # -DDEBUG -DTESTADR=0xc06de142L

PKTAFL	= # /DDEBUG
PKTCFL	= 

BOOTAFL	= 
BOOTCFL	= # -DNOBPEXT # -DLDDEBUG -DBPDEBUG

