/*
 **************************************************************************
 *
 * Boot-ROM-Code to load an operating system across a TCP/IP network.
 *
 * Module:  general.h
 * Purpose: Header file with general declarations
 * Entries: none
 *
 **************************************************************************
 *
 * Copyright (C) 1995 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/*
 **************************************************************************
 *
 * Define program version:
 */
#define MAJOR_VER	0		/* Major version number		*/
#define MINOR_VER	1		/* Minor version number		*/



/*
 **************************************************************************
 *
 * Define boolean values:
 */
#define TRUE	1
#define FALSE	0



/*
 **************************************************************************
 *
 * Define NULL pointer:
 */
#define NULL	(void *)0		/* near pointer		*/
#define FNULL	(void far *)0		/* far pointer		*/



/*
 **************************************************************************
 *
 * Macros to allow usage of far pointers in the source code
 */
#define FP_OFF(fp)	((unsigned)(fp))
#define FP_SEG(fp)	((unsigned)((unsigned long)(fp) >> 16))
#define MK_FP(seg,ofs)	((void far *) \
		(((unsigned long)(seg) << 16) | (unsigned long)(ofs)))

