/*
 **************************************************************************
 *
 * Boot-ROM-Code to load an operating system across a TCP/IP network.
 *
 * Module:  memory.h
 * Purpose: Definitions for boot rom memory layout
 * Entries: None
 *
 **************************************************************************
 *
 * Copyright (C) 1995 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 **************************************************************************
 *
 * These values have to be the same as those in the corresponding assembler
 * include file!
 */
#define OLDINTS		0x000C0L /* repository for old int vectors	*/
#define NEWDATA		0x00100L /* segment of ram data area		*/
#define LOWMEM		0x01000L /* beginning of OS loading area	*/
#define HIGHMEM		0x09800L /* end of OS loading area		*/
#define MEMEND		0x0A000L /* end of ram on typical PC system	*/
#define ROMSIZE		0x08000L /* size of rom area in bytes		*/
#define RAMSIZE		0x08000L /* minimum size of DOS ram area	*/
#define EXTMEM		0x10000L /* beginning of extended memory area	*/

