/*
 **************************************************************************
 *
 * Boot-ROM-Code to load an operating system across a TCP/IP network.
 *
 * Module:  route.h
 * Purpose: Definitions for handling IP routes.
 * Entries: none
 *
 **************************************************************************
 *
 * Copyright (C) 1995 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/*
 **************************************************************************
 * 
 * Routing table structure
 */
struct rt_table {
	int usecnt;			/* timeout counter		*/
	t_ipaddr ipaddr;		/* destination IP address	*/
	t_ipaddr gwaddr;		/* gateway IP address		*/
	t_ipaddr netmask;		/* netmask			*/
};

#define RTNUM 16		/* number of entries in routing table	*/



/*
 **************************************************************************
 *
 * Functions in routing module:
 */

/* Initialize routing module */
extern int init_route(void);

/* Add route to routing table */
extern void rt_add(t_ipaddr dest, t_ipaddr gw, t_ipaddr mask);

/* Find gateway to destination in routing table */
extern t_ipaddr find_rt(t_ipaddr dest);

